Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Project APIs

Fetching a Project from Google Cloud

search

Please Note:

Fetching a Project from Google Cloud

Use the post /v1/cckm/gcp/get-projects API to fetch the Google Cloud projects linked with a Google Cloud connection. These projects can then be used to add linked Google Cloud key rings to the CipherTrust Manager and managed through CCKM.

Syntax

curl -k '<IP>/api/v1/cckm/gcp/get-projects' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "<connection_name>"\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
connection string Name of the Google Cloud connection on the CipherTrust Manager.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/gcp/get-projects' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFmMTFhYjM0LTFiNmQtNGY0Zi04ZTEzLTAxOGQ2ZGJlOTZlZiIsImlhdCI6MTYyMDE5NTM4OSwiZXhwIjoxNjIwMTk1Njg5fQ.PLhevpNJb6SRNJwkSZ8k_n_YpZlyU6-Fv8kkYfvsh3Q' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "gcp-connection"\n}' --compressed

Example Response

{
    "projects": [
        {
            "createTime": "2018-03-19T17:42:03.596Z",
            "lifecycleState": "ACTIVE",
            "name": "Gemalto-kyloeng",
            "parent": {
                "id": "1035780943344",
                "type": "folder"
            },
            "projectId": "gemalto-kyloeng",
            "projectNumber": "44178215785"
        }
    ],
    "connection": "gcp-connection"
}

The sample output displays the list of Google Cloud projects based on the connection (gcp-connection).

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.